body {
	margin:0;
	display:grid;
	grid-template-areas:
    'menu header header header header header'
    'menu main main main main main'
    'footer footer footer footer footer footer';
	width:100%;
	font-family: 'Permanent Marker', cursive;
    font-family: 'Roboto', sans-serif;
	background: rgb(245,155,155);
	background: linear-gradient(45deg, rgba(245,155,155,1) 0%, rgba(250,170,105,1) 50%, rgba(245,155,155,1) 100%); 
	min-height:100vh;
}

h1 {
	font-family: 'Permanent Marker', cursive;
	font-size:30px;
	margin:16px auto 0 auto;
}

h2 {
	font-family: 'Permanent Marker', cursive;
	font-size:25px;
}

h3 {
	font-family: 'Permanent Marker', cursive;
	font-size:20px;
	margin:16px auto 0 auto;
}

.navOpen {
	grid-template-columns:200px 1fr;
	animation: slideOut 100ms ease-in-out;
}
@keyframes slideOut {
	0% {grid-template-columns:60px 1fr;}
	100% {grid-template-columns:200px 1fr;}
}

.navClosed #main-nav .hideButton p{
	transform:rotate(180deg);
	border-radius:0 50px 50px 0;
	padding-left:0;
	padding-right:10px;
}

.navClosed {
	grid-template-columns:60px 1fr;
	animation: slideIn 100ms ease-in-out;
}
@keyframes slideIn {
	0% {grid-template-columns:200px 1fr;}
	100% {grid-template-columns:60px 1fr;}
}

header {
	grid-area:header;
	width:100%;
	text-align:center;
	height:10vh;
}

header #time {
	margin-top:5px;
}

nav {
	grid-area:menu;
	display:flex;
	flex-direction:column;
	justify-content:space-between;
	position:relative;
}
nav ul {
	padding:0;
}

#main-nav > ul:first-child {
	display:flex;
	flex-direction:column;
	align-content:space-between;
	height:100%;
}

.main-nav li, a {
	cursor: pointer;
	list-style-type:none;
	text-align:center;
	margin:auto;
}

.main-nav li{
	margin-top:20px;
}

.main-nav h3 {
	margin:0;
}
.navOpen nav li img {
	width:80px;
	height:auto;
}

.navClosed nav li img {
	width:40px;
	height:auto;
	padding:30px 10px;
}

.navClosed nav li h3 {
	display:none;
}

.hideButton p {
	text-align:right;
	border-radius: 50px 0 0 50px;
	background-color:#f7f2f2;
	width:max-content;
	position:absolute;
	padding:10px 0;
	margin-left:auto;
	font-size:30px;
	padding-left:10px;
	top:auto;
	bottom:50%;
	right:0;
	cursor:pointer;
}

section.main-section {
	grid-area:main;
	background-color:#f7f2f2;
	border-radius:30px;
	min-height:80vh;
	position:relative;
}
.tab h2 {
	text-align:center;
}
.dashGridContainer {
	display:grid;
	grid-template-areas:
	'check itinerary'
	'useful something';
	text-align:center;
	grid-template-columns: 1fr 1fr;
}
.dashGridContainer .dashCheck {
	grid-area:check;
}
.dashGridContainer .dashItinerary {
	grid-area:itinerary;
}
.dashGridContainer .dashUseful {
	grid-area:useful;
}
.dashGridContainer .dashSomething {
	grid-area:something;
}

.cardContainer {
	min-width:50%;
	width:80%;
	border:1px solid rgb(217, 217, 217);
	border-radius:30px;
	margin:30px auto;
	overflow:hidden;
	transition: ease-in-out;
	transition-duration:50ms;
}

.cardContainer:hover {
	transform:scale(102%);
}

.cardContainer {
	background: rgb(255, 255, 255);
	box-shadow: -8px 12px 18px 0 #dadee8;
}

#dashCheckInfo, #dashItineraryInfo, #dashUsefulInfo, #dashSomethingInfo {
	height:20vh;
	max-width:400px;
	margin:auto;
}
#checklist, #itinerary, #usefullinks, #something, #login, #logout, #settings{
	display:none;
}

#dashCheckInfo, #dashItineraryInfo {
	margin:auto;
	text-align:left;
	overflow:hidden;
}

#checklist {
	overflow-y:scroll;
	max-height:80vh;
}

#checklist ul {
	list-style-type:none;
	padding-left:0;
}

#checklist li {
	display:grid;
	grid-template-areas: 'check value new edit save';
	grid-template-columns: 30px 35vw auto 5vw 5vw;
	align-items:center;
}

.liContainer li button {
	width:50px;
	height:50px;
	align-self: center;
}


.liContainer:nth-child(odd) {
	background-color:#c7e7ec;
}

.liContainer:nth-child(even) {
	background-color:#A1D7DF;
}

.addRemove {
	margin:10px auto 20px auto;
	text-align:center;
}

.addRemove .addChecklistItem {
	text-align:center;
}

#modalAddItinerary {
	position: absolute;
	top: 0;
	left: 0;
	width: 60%;
	background-color: black;
	height: 60%;
	margin-left: auto;
	margin-right: auto;
	right: 0;
	margin: auto;
	bottom: 0;
	text-align:center;
}

#modalAddItinerary h3 {
	color:#fff;
}

.modalAddInside *{
	margin: 2em auto;
	display:block;
}

.loginContainer {
	padding: 20px;
	width: max-content;
	margin: auto;
}

footer {
	grid-area:footer;
	min-height:10vh;
}
